Debian Bug report logs - #620272
ITP: dwarftherapist -- Helper tool for Dwarf Fortress game

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrey Rahmatullin <wrar@wrar.name>

Date: Thu, 31 Mar 2011 18:24:01 UTC

Owned by: Andrey Rahmatullin <wrar@wrar.name>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#620272; Package wnpp. (Thu, 31 Mar 2011 18:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 31 Mar 2011 18:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: dwarftherapist -- Helper tool for Dwarf Fortress game
Date: Fri, 01 Apr 2011 00:01:25 +0600
Package: wnpp
Severity: wishlist
Owner: Andrey Rahmatullin <wrar@wrar.name>

* Package name    : dwarftherapist
  Version         : 0.6.10+hgNN
  Upstream Author : Trey Stout <treystout@gmail.com>
* URL             : http://code.google.com/p/dwarftherapist/
* License         : Expat
  Programming Lang: C++
  Description     : Helper tool for Dwarf Fortress game




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>:
Bug#620272; Package wnpp. (Tue, 10 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rens Houben <shadur@systemec.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>. (Tue, 10 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Rens Houben <shadur@systemec.nl>
To: Andrey Rahmatullin <wrar@wrar.name>, 620272@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#620272: ITP: dwarftherapist -- Helper tool for Dwarf Fortress game
Date: Tue, 10 May 2011 06:22:06 +0200
In other news for Fri, Apr 01, 2011 at 12:01:25AM +0600, Andrey Rahmatullin has been seen typing:
> Package: wnpp
> Severity: wishlist
> Owner: Andrey Rahmatullin <wrar@wrar.name>
 
> * Package name    : dwarftherapist
>   Version         : 0.6.10+hgNN
>   Upstream Author : Trey Stout <treystout@gmail.com>
> * URL             : http://code.google.com/p/dwarftherapist/
> * License         : Expat
>   Programming Lang: C++
>   Description     : Helper tool for Dwarf Fortress game

I'm an avid DF player myself, but debuild yields the following pair of
errors:

dh_strip tries to strip dwarftherapist, which is a bash script, not
DwarfTherapist which is the actual binary:

strip:/usr/src/DT/dwarftherapist/debian/dwarftherapist/usr/bin/dwarftherapist: File format not recognized
make[1]: [install_bin] Error 1 (ignored)

The COPYRIGHT and README files don't exist where install_doc expects
them to: 


cp COPYRIGHT /usr/src/DT/dwarftherapist/debian/dwarftherapist/usr/share/doc/dwarftherapist/copyright;
cp README /usr/src/DT/dwarftherapist/debian/dwarftherapist/usr/share/doc/dwarftherapist/README.Debian
cp: cannot stat `COPYRIGHT': No such file or directory
cp: cannot stat `README': No such file or directory
make[1]: *** [install_doc] Error 1


-- 
Rens Houben                           |    opinions are mine
Resident linux guru and sysadmin      | if my employers have one
Systemec Internet Services.           |they'll tell you themselves
PGP key at http://marduk.systemec.nl/~shadur/shadur.key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>:
Bug#620272; Package wnpp. (Tue, 10 May 2011 04:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rens Houben <shadur@systemec.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>. (Tue, 10 May 2011 04:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>:
Bug#620272; Package wnpp. (Tue, 10 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rens Houben <shadur@systemec.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>. (Tue, 10 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 620272@bugs.debian.org (full text, mbox):

From: Rens Houben <shadur@systemec.nl>
To: Andrey Rahmatullin <wrar@wrar.name>, 620272@bugs.debian.org
Subject: Re: Bug#620272: ITP: dwarftherapist -- Helper tool for Dwarf Fortress game
Date: Tue, 10 May 2011 06:30:11 +0200
In other news for Fri, Apr 01, 2011 at 12:01:25AM +0600, Andrey Rahmatullin has been seen typing:
> Package: wnpp
> Severity: wishlist
> Owner: Andrey Rahmatullin <wrar@wrar.name>

After creating those two missing files, the following series of Lintian
warnings:

W: dwarftherapist: syntax-error-in-debian-changelog line 27 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 28 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 29 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 30 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 31 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 32 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 33 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 34 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 35 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 36 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 37 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 38 "unrecognised line"
W: dwarftherapist: syntax-error-in-debian-changelog line 39 "unrecognised line"
W: dwarftherapist: binary-without-manpage usr/bin/DwarfTherapist
W: dwarftherapist: binary-without-manpage usr/bin/dwarftherapist
W: dwarftherapist: menu-item-needs-tag-has-unknown-value
x11|qt|text|vc|wm usr/share/menu/dwarftherapist:2


Regards,

-- 
Rens Houben                           |    opinions are mine
Resident linux guru and sysadmin      | if my employers have one
Systemec Internet Services.           |they'll tell you themselves
PGP key at http://marduk.systemec.nl/~shadur/shadur.key.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#620272; Package wnpp. (Tue, 10 May 2011 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 May 2011 06:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 620272@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: Rens Houben <shadur@systemec.nl>
Cc: 620272@bugs.debian.org
Subject: Re: Bug#620272: ITP: dwarftherapist -- Helper tool for Dwarf Fortress game
Date: Tue, 10 May 2011 12:20:25 +0600
[Message part 1 (text/plain, inline)]
On Tue, May 10, 2011 at 06:30:11AM +0200, Rens Houben wrote:
> After creating those two missing files, the following series of Lintian
> warnings:
> 
> W: dwarftherapist: syntax-error-in-debian-changelog line 27 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 28 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 29 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 30 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 31 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 32 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 33 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 34 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 35 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 36 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 37 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 38 "unrecognised line"
> W: dwarftherapist: syntax-error-in-debian-changelog line 39 "unrecognised line"
> W: dwarftherapist: binary-without-manpage usr/bin/DwarfTherapist
> W: dwarftherapist: binary-without-manpage usr/bin/dwarftherapist
> W: dwarftherapist: menu-item-needs-tag-has-unknown-value
> x11|qt|text|vc|wm usr/share/menu/dwarftherapist:2
Well, if you try to build with the bundled debian/, anything may happen.
I've written most of the packaging files, but I need to find some time to
write a patch to use ~/.local/ instead of some world-writable system dirs
in /usr and /var.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#620272; Package wnpp. (Sat, 06 Aug 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 06 Aug 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 620272@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 620272@bugs.debian.org
Subject: Status report
Date: Sat, 6 Aug 2011 22:20:58 +0600
[Message part 1 (text/plain, inline)]
The patches are ready and already submitted upstream, so the only things
left are the short manpage and total review of the results.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#620272; Package wnpp. (Thu, 17 May 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 May 2012 12:39:06 GMT) Full text and rfc822 format available.

Message #35 received at 620272@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 620272@bugs.debian.org
Subject: Status report
Date: Thu, 17 May 2012 18:36:54 +0600
[Message part 1 (text/plain, inline)]
There is a package ready on mentors for some time:
http://mentors.debian.net/debian/pool/contrib/d/dwarftherapist/dwarftherapist_0.6.12+hg20120419-1.dsc
It supports DF up to 0.34.07 (the current version is 0.34.09) and I won't
update this package until somebody wants to sponsor it.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 620272: 678414 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:40:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: dwarftherapist -- Helper tool for Dwarf Fortress game' from 'ITP: dwarftherapist -- Helper tool for Dwarf Fortress game' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:13:50 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Andrey Rahmatullin <wrar@wrar.name>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:13:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#620272; Package wnpp. (Sat, 17 Aug 2013 07:14:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 17 Aug 2013 07:14:12 GMT) Full text and rfc822 format available.

Message #46 received at 620272@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 620272@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dwarftherapist: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:08 +0200
retitle 620272 RFP: dwarftherapist -- Helper tool for Dwarf Fortress game
noowner 620272
tag 620272 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging dwarftherapist. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of dwarftherapist back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging dwarftherapist, please send a mail to
<control@bugs.debian.org> with:

 retitle 620272 ITP: dwarftherapist -- Helper tool for Dwarf Fortress game
 owner 620272 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <620272@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'ITP: dwarftherapist -- Helper tool for Dwarf Fortress game' from 'RFP: dwarftherapist -- Helper tool for Dwarf Fortress game' Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Sat, 17 Aug 2013 09:33:11 GMT) Full text and rfc822 format available.

Owner recorded as Andrey Rahmatullin <wrar@wrar.name>. Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Sat, 17 Aug 2013 09:33:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrey Rahmatullin <wrar@wrar.name> to control@bugs.debian.org. (Sat, 17 Aug 2013 09:33:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 620272: 720114 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 19 Aug 2013 04:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>:
Bug#620272; Package wnpp. (Tue, 24 Sep 2013 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrey Rahmatullin <wrar@wrar.name>. (Tue, 24 Sep 2013 17:21:08 GMT) Full text and rfc822 format available.

Message #59 received at 620272@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Andrey Rahmatullin <wrar@wrar.name>, 620272@bugs.debian.org
Subject: Re: Bug#620272: Status report
Date: Tue, 24 Sep 2013 17:49:43 +0100
Might it be possible to call the package name "dwarf-therapist"? I won't
go as far as to suggest renaming any binaries or other references to the
package. However, there's one other possible parsing of "dwarftherapist"
which can take you back, somewhat, until you figure out where you went
wrong. For those who will not install or use the package, but will see
the conjoined name in package lists from time to time, it might be nice
to spell out the conjunction with a dash.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:31:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.